Bug 62375 - Forward focus events to windowless plugins on the windows port.
Summary: Forward focus events to windowless plugins on the windows port.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Plug-ins (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Windows 7
: P2 Normal
Assignee: noel gordon
URL:
Keywords:
Depends on: 61721
Blocks: 33973
  Show dependency treegraph
 
Reported: 2011-06-09 07:04 PDT by noel gordon
Modified: 2011-07-12 07:26 PDT (History)
5 users (show)

See Also:


Attachments
Patch (5.32 KB, patch)
2011-06-09 07:13 PDT, noel gordon
aroben: review-
Details | Formatted Diff | Diff
Patch (3.15 KB, patch)
2011-06-27 21:12 PDT, noel gordon
no flags Details | Formatted Diff | Diff
Patch (2.34 KB, text/plain)
2011-06-30 01:57 PDT, noel gordon
no flags Details
Patch (3.14 KB, patch)
2011-06-30 02:00 PDT, noel gordon
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description noel gordon 2011-06-09 07:04:42 PDT
As noted on bug 61721, focus event are not forwarded to windowless plugins.
Comment 1 noel gordon 2011-06-09 07:13:38 PDT
Created attachment 96583 [details]
Patch

Layout test failures noted in the win port DRT, in fast/css/* for example.
But I'm not touching CSS here, so maybe that's normal?  Not sure.
Comment 2 Adam Roben (:aroben) 2011-06-21 08:33:12 PDT
Comment on attachment 96583 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=96583&action=review

Thanks for working on this! You should fix this for WebKit2 at the same time. You can find the relevant code in Source/WebKit2/WebProcess/Plugins, I believe.

> Source/WebCore/ChangeLog:11
> +        (WebCore::PluginView::handleKeyboardEvent):  Don't send random keyboard
> +        events to the plugin (npEvent.event was being used uninitialized).

This has nothing to do with focus events, so should be split out into its own bug and patch.
Comment 3 noel gordon 2011-06-22 09:00:46 PDT
(In reply to comment #2)
> > Source/WebCore/ChangeLog:11
> > +        (WebCore::PluginView::handleKeyboardEvent):  Don't send random keyboard
> > +        events to the plugin (npEvent.event was being used uninitialized).
> 
> This has nothing to do with focus events, so should be split out into its own bug and patch.

Ok let's deal with this aspect first.  Filed bug 62375, could you review?
Comment 4 noel gordon 2011-06-22 09:02:13 PDT
Ahem, bug 63144 actually.
Comment 5 noel gordon 2011-06-27 21:07:44 PDT
(In reply to comment #2)
> You should fix this for WebKit2 at the same time. You can find the relevant code in Source/WebKit2/WebProcess/Plugins, I believe.

This patch is about WebKit1.  I looked at WebKit2 though, filed a bug 63251 about it,
and posted a patch, noting that plugins/mouse-events.html is intermittently failing.
Comment 6 noel gordon 2011-06-27 21:11:50 PDT
So focusing on WebKit1 for the current patch, and with bug 63144 fixed, new patch ...
Comment 7 noel gordon 2011-06-27 21:12:25 PDT
Created attachment 98851 [details]
Patch
Comment 8 noel gordon 2011-06-30 01:54:42 PDT
unhappy win bot ...

 Building WebKit
 Failed to run "['Tools/Scripts/build-webkit', '--debug']" exit_code: 9
 WebKitSupportLibrary.zip is out-of-date.
 Please download WebKitSupportLibrary.zip from ...
Comment 9 noel gordon 2011-06-30 01:57:33 PDT
Created attachment 99258 [details]
Patch

try kicking the winbot tyres once more.
Comment 10 noel gordon 2011-06-30 02:00:02 PDT
Created attachment 99259 [details]
Patch
Comment 11 noel gordon 2011-07-10 05:50:09 PDT
(In reply to comment #2)
>
> Thanks for working on this! You should fix this for WebKit2 at the same time.

WebKit2 bug 63251 complete.  Anything more I need do here?
Comment 12 Adam Roben (:aroben) 2011-07-11 06:22:10 PDT
Comment on attachment 99259 [details]
Patch

Looks great.
Comment 13 WebKit Review Bot 2011-07-11 07:03:57 PDT
Comment on attachment 99259 [details]
Patch

Clearing flags on attachment: 99259

Committed r90742: <http://trac.webkit.org/changeset/90742>
Comment 14 WebKit Review Bot 2011-07-11 07:04:02 PDT
All reviewed patches have been landed.  Closing bug.
Comment 15 noel gordon 2011-07-12 07:26:04 PDT
Test expectations updated for platform/win/plugins/mouse-events-fixedpos.html 
 http://trac.webkit.org/changeset/90816